public void drawFlower(int petals){
  var angle = 360.0/petals;
  
  //Draw each petal
  for(int i = 0; i< petals; i++){
    drawPedal(angle);
    t.right(180);
  }
  
  //Draw pistil 
  fill(random(1,255), random(1,255), random(1,255));
  ellipse(t.currentX, t.currentY, 60, 60);
  println(t.currentX + "     " + t.currentY);
}


//Draw each petal
private void drawPedal(float angle){
  float petalLength = 200;
  float r = petalLength * sin(radians(angle/2));
  
  t.forward(petalLength);
  SemiCircle(r, angle);  
  t.forward(petalLength);
}


//Draw a semi-circle
private void SemiCircle(float r, float angle){
  float c = 2 * PI * r; //circumference 
  float arcLen = c/360;//arc length 
  float exteriorAngle = 180 - (180-angle)/2;
  
  t.left(exteriorAngle + 270);

  //Draw a semi-circle
  for (int i = 0; i < 180; i++){
    t.forward(arcLen);
    t.left(1);
  }

  t.left(-90 + exteriorAngle);
}
