public void polarPlot()
{
  noFill();
  plot(0,1900, 0);
  int a = 10;
  int b = 2;
  for(int i = 0; i<55; i++){
    plot(a+random(1,44),b+random(1,44), 1);
  }
}


float[] polarPoint(float r, float angle){
 float[] point = new float[2];
 point[0] = r*cos(radians(angle));
 point[1] = r*sin(radians(angle));
 return point;
}

void plot (float size, float add, int isRan) {
  float x = random(-111,111);
  float y = random(-111,111);
  if(isRan == 1){
    translate(x , y);
  }else{
    translate(width/2, height/2);
  }
  float r;
  beginShape();
  fill(random(1,255), random(1,255), random(1,255));
  for (int i=0; i<360; i++) {
    r = size+add*cos(radians(i*10));
    float[] point = polarPoint(r, i);
    curveVertex(point[0],point[1]);
  }
  endShape();
}



//Built-in function
void keyPressed(){
  String filename = "PolarPlot_" + number + ".jpg";
  println("Just saved file "+ filename);
  if(key == 's'){
   save(filename); 
  }
  number++;
}
